> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get completed user agreement PDF

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/agreements/{agreementId}/download

Gets the PDF of  `agreementId` for the clickwrap specified by `clickwrapId`.

The response to this method is the bytes of the PDF file.
The response includes the HTTP header `application/pdf`.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage` or `click.send`.

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getagreementpdf

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `agreementId` (string, required) — The agreement ID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

### Query parameters

- `include_coc` (string, optional) — When **true,** the Certificate of Completion will be appended to the PDF. The default value is **false.**

## Response

### 200

Successful response.

- `string`

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Examples

**Response**

```json
"string"
```